libdbus-1-dev not available from ubuntu repository

I am always getting this error
Err:9 Index of /ubuntu focal-updates/main amd64 libdbus-1-dev amd64 1.12.16-2ubuntu2.1 when running action. It was not an issue till last week.
what can I do to get over this issue?

[solved] this solution works for me.